ComboColumnBeanInfo

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.table.columns.client
Class ComboColumnBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          org.openswing.swing.table.columns.client.ComboColumnBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

public class ComboColumnBeanInfo
extends java.beans.SimpleBeanInfo

Title: OpenSwing Framework

Description: Bean Info

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`ComboColumnBeanInfo()`

Method Summary
`java.beans.BeanInfo[]` | `getAdditionalBeanInfo()`
`java.awt.Image` | `getIcon(int iconKind)`
`java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()`

Methods inherited from class java.beans.SimpleBeanInfo
`getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComboColumnBeanInfo

    public ComboColumnBeanInfo()

Method Detail

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

### getIcon

    public java.awt.Image getIcon(int iconKind)

### getAdditionalBeanInfo

    public java.beans.BeanInfo[] getAdditionalBeanInfo()

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD